Subject: Re: [hrpc] [[email-masked]: RFC 8980 on Report from the IAB Workshop on Design Expectations vs. Deployment Reality in Protocol Development]

From: Corinne Cath <[email-masked]>
Date: Sun, 4 Apr 2021 15:21:30 +0300

Hi all,

Finally had some time to sit down and read this RFC that summarizes the
outcomes of the 2019 IAB workshop on "RFC 8980: Report from the IAB
Workshop on Design Expectations vs. Deployment Reality in Protocol
Development".

In addition to Stephane's comment that it is hard to predict RFC outcome, I
read the report as clearly identifying a number of causes for the
difference between expectation and deployment reality, namely: "economies
of scale, Distributed Denial-of-Service (DDoS) attack resilience, market
consolidation".

The report indicated both that "the protocol designers cannot affect market
forces but must work within them" and that the IETF should "Pick pieces
that it is responsible for".

This struck me as confusing, perhaps Stephane or someone else present could
clarify what the IETF considers to be the pieces it is responsible for (and
how those can as some people at the workshop suggested be used to counter
consolidation forces?).

Kind regards,

Corinne

On Sat, Feb 20, 2021 at 10:04 AM Stephane Bortzmeyer <[email-masked]>
wrote:

> This RFC talks about how actual deployments can be surprising, making
> difficult to assess if a new protocol is good or bad.
>
>
>
>
> ---------- Forwarded message ----------
> From: [email-masked]
> To: [email-masked], [email-masked]
> Cc: [email-masked], [email-masked]
> Bcc:
> Date: Fri, 19 Feb 2021 17:28:17 -0800 (PST)
> Subject: RFC 8980 on Report from the IAB Workshop on Design Expectations
> vs. Deployment Reality in Protocol Development
> A new Request for Comments is now available in online RFC libraries.
>
>
>         RFC 8980
>
>         Title:      Report from the IAB Workshop on
>                     Design Expectations vs. Deployment Reality
>                     in Protocol Development
>         Authors:    J. Arkko,
>                     T. Hardie
>         Status:     Informational
>         Stream:     IAB
>         Date:       February 2021
>         Mailbox:    [email-masked],
>                     [email-masked]
>         Pages:      16
>         Updates/Obsoletes/SeeAlso:   None
>
>         I-D Tag:    draft-iab-dedr-report-01.txt
>
>         URL:        https://www.rfc-editor.org/info/rfc8980
>
>         DOI:        10.17487/RFC8980
>
> The Design Expectations vs. Deployment Reality in Protocol
> Development Workshop was convened by the Internet Architecture Board
> (IAB) in June 2019. This report summarizes the workshop's significant
> points of discussion and identifies topics that may warrant further
> consideration.
>
> Note that this document is a report on the proceedings of the
> workshop.  The views and positions documented in this report are
> those of the workshop participants and do not necessarily reflect IAB
> views and positions.
>
> This document is a product of the Internet Architecture Board.
>
>
> INFORMATIONAL: This memo provides information for the Internet community.
> It does not specify an Internet standard of any kind. Distribution of
> this memo is unlimited.
>
> This announcement is sent to the IETF-Announce and rfc-dist lists.
> To subscribe or unsubscribe, see
>   https://www.ietf.org/mailman/listinfo/ietf-announce
>   https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
>
> For searching the RFC series, see https://www.rfc-editor.org/search
> For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk
>
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].  Unless
> specifically noted otherwise on the RFC itself, all RFCs are for
> unlimited distribution.
>
>
> The RFC Editor Team
> Association Management Solutions, LLC
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
>

-- 
Corinne Cath - Speth
Ph.D. Candidate, Oxford Internet Institute & Alan Turing Institute

Web: www.oii.ox.ac.uk/people/corinne-cath
Email: [email-masked] & [email-masked]
Twitter: @C_CS

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 5 Apr 2021 09:39:02 +0200

On 04-04-2021 14:21, Corinne Cath wrote:
<< snip >> 
> The report indicated both that "the protocol designers cannot affect market forces"

This is quite interesting, especially taking into account that the IETF is mostly made up of people working for transnational corporations that concretely _are_ these market forces. 

Market forces are also somehow described as forces of nature that no one can predict or act against, which is also somewhat curious. 

Or perhaps it is a statement of believe, that the IETF is there to serve and facilitate the market? Which I think is not the case either because standards per definition exist to intervene in markets (by lowering costs and barrier of entry etc). 

Best,

Niels

> 
> 
>  
> 
> 
> 
> On Sat, Feb 20, 2021 at 10:04 AM Stephane Bortzmeyer <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     From: [email-masked] <mailto:[email-masked]>
>     To: [email-masked] <mailto:[email-masked]>, [email-masked] <mailto:[email-masked]>
>     Cc: [email-masked] <mailto:[email-masked]>, [email-masked] <mailto:[email-masked]>
>     Bcc: 
>     Subject: RFC 8980 on Report from the IAB Workshop on Design Expectations vs. Deployment Reality in Protocol Development
>             Mailbox:    [email-masked] <mailto:[email-masked]>,
>                         [email-masked] <mailto:[email-masked]>
>             Pages:      16
>             URL:        https://www.rfc-editor.org/info/rfc8980 <https://www.rfc-editor.org/info/rfc8980>
> 
>             DOI:        10.17487/RFC8980
> 
>       https://www.ietf.org/mailman/listinfo/ietf-announce <https://www.ietf.org/mailman/listinfo/ietf-announce>
>       https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist <https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist>
> 
>     For searching the RFC series, see https://www.rfc-editor.org/search <https://www.rfc-editor.org/search>
>     For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk <https://www.rfc-editor.org/retrieve/bulk>
> 
>     author of the RFC in question, or to [email-masked] <mailto:[email-masked]>.  Unless
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/ietf-announce <https://www.ietf.org/mailman/listinfo/ietf-announce>
>     [email-masked] <mailto:[email-masked]>
>     https://www.irtf.org/mailman/listinfo/hrpc <https://www.irtf.org/mailman/listinfo/hrpc>
> 
> 
> 
> -- 
> Corinne Cath - Speth
> Web: www.oii.ox.ac.uk/people/corinne-cath <http://www.oii.ox.ac.uk/people/corinne-cath>
> Email: [email-masked] <mailto:[email-masked]> & [email-masked] <mailto:[email-masked]>
> Twitter: @C_CS
> 

-- 
Niels ten Oever, PhD
Postdoctoral Researcher - Media Studies Department - University of Amsterdam
Research Fellow - Centre for Internet and Human Rights - European University Viadrina
Associated Scholar - Centro de Tecnologia e Sociedade - Fundação Getúlio Vargas

https://nielstenoever.net - [email-masked] - @nielstenoever - +31629051853
PGP: 2458 0B70 5C4A FD8A 9488 643A 0ED8 3F3A 468A C8B3

Read my latest article on Internet infrastructure governance in New Media & Society here: https://journals.sagepub.com/doi/full/10.1177/1461444820929320

---

From: Vittorio Bertola <[email-masked]>
Date: Mon, 5 Apr 2021 10:31:15 +0200 (CEST)

> Il 05/04/2021 09:39 Niels ten Oever <[email-masked]> ha scritto:
> 

After all this time, I do not remember exactly what was in my contribution to this workshop. However, part of my frustration at the IETF in the DoH discussion came exactly from the feeling above. Some people would participate in the creation of the standard with the hat of "individual participant", and would claim that the effects of the new standard on the market and on public policies were not the IETF's problem and not a direct consequence of the standardization work, but rather of how the new standard was used by implementers. Then, in their day job, they would switch their hat to "employee of company X" and they, or their colleagues, would implement the new standard in ways that purposedly created those effects. I found this a bit hypocritical.

> Or perhaps it is a statement of believe, that the IETF is there to serve and facilitate the market? Which I think is not the case either because standards per definition exist to intervene in marke…

Standards can be used to constrain the market through regulation, but they are more often meant to create a new market (especially in other SDOs, where standards precede implementation) or to foster a free, competitive market by removing technical barriers to competition after a market is started. I do not know if the IETF ever took any official stance on this, but if you also consider the known antipathy of the IETF for governments, I would expect the IETF to aim to "serve and facilitate the market" at least implicitly.

-- 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 5 Apr 2021 14:17:25 +0200

On Sun, Apr 04, 2021 at 03:21:30PM +0300,
 Corinne Cath <[email-masked]> wrote 
 a message of 312 lines which said:

> This struck me as confusing, perhaps Stephane or someone else
> present could clarify what the IETF considers to be the pieces it is
> responsible for

Easy, since this was my contribution to the workshop :-)
<https://www.iab.org/wp-content/IAB-uploads/2019/05/p4-bortzmeyer-dedr-workshop-encouraging.pdf>.

In summary: IETF's main responsability is in writing good
standards. "Good" has many different definitions (it is not limited to
"technical efficiency" since a protocol can be technically OK but
still harmful) but my point is that IETF can act mostly through the
standards it produces so it should focus on this task. Claiming that
we must solve bigger problems is a recipe for trouble since we do not
have direct leverage on them. 

BTW, let's be picky: this RFC was done by IAB, not IETF.

> how those can as some people at the workshop suggested be used to
> counter consolidation forces?).

Indeed, the debate on that tend to be quite confused, for instance
when people (and the RFC) mention DoH in the context of
centralisation, while never being able to say *which part* of the DoH
standard was wrong or what should have been done.

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 5 Apr 2021 14:23:21 +0200

On Mon, Apr 05, 2021 at 09:39:02AM +0200,
 Niels ten Oever <[email-masked]> wrote 
 a message of 106 lines which said:

> Market forces are also somehow described as forces of nature that no
> one can predict or act against, which is also somewhat curious.

The IETF is an US organisation and tend to stricly follow the US
politics, the US view of the world, US current issues, for instance on
terminology, etc.

The RFC could have used a more "neutral" term such as "decisions by
other actors", a term that would not have been tied to a specific
political and economic system (capitalism, in its US variant). With
such a term, I believe that we may agree with the point badly
expressed in the RFC: IETF publishes standards, their actual
implementation and deployment depends on many non-IETF things. May be a
comparison with biology? DNA determines a lot of things in a living
being but not everything since its expression goes through many
complicated processes. Are RFC the DNA of the Internet, no less, no
more?

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 5 Apr 2021 14:29:38 +0200

On Mon, Apr 05, 2021 at 10:31:15AM +0200,
 Vittorio Bertola <vittorio.bertola=[email-masked]> wrote 
 a message of 25 lines which said:

> After all this time, I do not remember exactly what was in my
> contribution to this workshop.

https://www.iab.org/wp-content/IAB-uploads/2019/05/p10-bertola-HowTheInternetWasWon-IABWorkshop2019onDeploymentReality.pdf

> However, part of my frustration at the IETF in the DoH discussion
> came exactly from the feeling above. Some people would participate
> in the creation of the standard with the hat of "individual
> participant", and would claim that the effects of the new standard
> on the market and on public policies were not the IETF's problem and
> not a direct consequence of the standardization work

Please tell me what in RFC 8484 defines such or such characteristic of
the current DoH deployment and usage. Then, same exercice with RFC
5321. Where do you find in RFC 5321 that Gmail and a few others have
the majority of email?

Also, the IETF is split on these issues: RFC 8404 is clearly
anti-encryption (or "we want encryption but" and everyone knows that
in this sort of sentences, it is what's after the but that matters)
and reflects the viewpoint of network operators. RFC 8980 and 8890
contain very unfair attacks against DoH.